Skip to main content
GET
/
v2
/
workflows
/
{workflow}
/
instances
/
{instance}
/
analysisResults
List AnalysisResult
curl --request GET \
  --url https://stats.eu.confidence.dev/v2/workflows/{workflow}/instances/{instance}/analysisResults \
  --header 'Authorization: Bearer <token>'
{
  "analysisResults": [
    {
      "createTime": {},
      "updateTime": {},
      "creator": "<string>",
      "updater": "<string>",
      "name": "<string>",
      "exposureFilter": "<string>",
      "annotations": [
        {
          "context": [
            {
              "key": "STATS_ANNOTATION_CONTEXT_UNSPECIFIED",
              "value": "<string>"
            }
          ],
          "info": "<string>",
          "warning": "<string>",
          "error": {
            "details": "<string>",
            "category": "STATS_ANNOTATION_ERROR_CATEGORY_UNSPECIFIED"
          }
        }
      ],
      "results": [
        {
          "id": "<string>",
          "statsSettings": {
            "method": "METHOD_UNSPECIFIED",
            "adjustedAlpha": 123,
            "adjustedBeta": {
              "value": 123
            },
            "hasVarianceReduction": true
          },
          "result": [
            {
              "status": {
                "status": "METRIC_RESULT_STATUS_UNSPECIFIED",
                "message": "<string>",
                "metricType": "METRIC_TYPE_UNSPECIFIED",
                "decisionPowered": {
                  "value": true
                },
                "decisionIsSignificant": {
                  "value": true
                },
                "validationIsSignificant": {
                  "value": true
                }
              },
              "groups": {
                "baseline": "<string>",
                "compared": "<string>"
              },
              "result": [
                {
                  "resultTime": "<string>",
                  "baselineEstimateAbs": {
                    "value": 123
                  },
                  "comparedEstimateAbs": {
                    "value": 123
                  },
                  "baselineEstimateRel": {
                    "value": 123
                  },
                  "comparedEstimateRel": {
                    "value": 123
                  },
                  "differenceEstimateAbs": {
                    "estimate": {
                      "value": 123
                    },
                    "lower": {
                      "value": 123
                    },
                    "upper": {
                      "value": 123
                    },
                    "powered": {
                      "value": 123
                    },
                    "isSignificant": {
                      "value": true
                    }
                  },
                  "differenceEstimateRel": {
                    "estimate": {
                      "value": 123
                    },
                    "lower": {
                      "value": 123
                    },
                    "upper": {
                      "value": 123
                    },
                    "powered": {
                      "value": 123
                    },
                    "isSignificant": {
                      "value": true
                    }
                  },
                  "varianceReductionRate": {
                    "value": 123
                  },
                  "unadjustedEstimateBaseline": {
                    "value": 123
                  },
                  "unadjustedEstimateCompared": {
                    "value": 123
                  },
                  "baselineSampleSize": {
                    "value": 123
                  },
                  "comparedSampleSize": {
                    "value": 123
                  }
                }
              ],
              "lastResult": {
                "resultTime": "<string>",
                "baselineEstimateAbs": {
                  "value": 123
                },
                "comparedEstimateAbs": {
                  "value": 123
                },
                "baselineEstimateRel": {
                  "value": 123
                },
                "comparedEstimateRel": {
                  "value": 123
                },
                "differenceEstimateAbs": {
                  "estimate": {
                    "value": 123
                  },
                  "lower": {
                    "value": 123
                  },
                  "upper": {
                    "value": 123
                  },
                  "powered": {
                    "value": 123
                  },
                  "isSignificant": {
                    "value": true
                  }
                },
                "differenceEstimateRel": {
                  "estimate": {
                    "value": 123
                  },
                  "lower": {
                    "value": 123
                  },
                  "upper": {
                    "value": 123
                  },
                  "powered": {
                    "value": 123
                  },
                  "isSignificant": {
                    "value": true
                  }
                },
                "varianceReductionRate": {
                  "value": 123
                },
                "unadjustedEstimateBaseline": {
                  "value": 123
                },
                "unadjustedEstimateCompared": {
                  "value": 123
                },
                "baselineSampleSize": {
                  "value": 123
                },
                "comparedSampleSize": {
                  "value": 123
                }
              },
              "sampleSize": {
                "current": 123,
                "required": 123,
                "poweredEffectRel": {
                  "value": 123
                },
                "poweredEffectAbs": {
                  "value": 123
                }
              },
              "isSignificant": {
                "value": true
              },
              "comparisonId": "<string>",
              "usedDataType": "STATS_DATA_TYPE_UNSPECIFIED",
              "groupStats": [
                {
                  "id": "<string>",
                  "sampleSize": 123
                }
              ],
              "dimensions": [
                {}
              ],
              "segmentId": "<string>",
              "lastDeteriorationResult": {
                "resultTime": "<string>",
                "baselineEstimateAbs": {
                  "value": 123
                },
                "comparedEstimateAbs": {
                  "value": 123
                },
                "baselineEstimateRel": {
                  "value": 123
                },
                "comparedEstimateRel": {
                  "value": 123
                },
                "differenceEstimateAbs": {
                  "estimate": {
                    "value": 123
                  },
                  "lower": {
                    "value": 123
                  },
                  "upper": {
                    "value": 123
                  },
                  "powered": {
                    "value": 123
                  },
                  "isSignificant": {
                    "value": true
                  }
                },
                "differenceEstimateRel": {
                  "estimate": {
                    "value": 123
                  },
                  "lower": {
                    "value": 123
                  },
                  "upper": {
                    "value": 123
                  },
                  "powered": {
                    "value": 123
                  },
                  "isSignificant": {
                    "value": true
                  }
                },
                "varianceReductionRate": {
                  "value": 123
                },
                "unadjustedEstimateBaseline": {
                  "value": 123
                },
                "unadjustedEstimateCompared": {
                  "value": 123
                },
                "baselineSampleSize": {
                  "value": 123
                },
                "comparedSampleSize": {
                  "value": 123
                }
              }
            }
          ],
          "annotations": [
            {
              "context": [
                {
                  "key": "STATS_ANNOTATION_CONTEXT_UNSPECIFIED",
                  "value": "<string>"
                }
              ],
              "info": "<string>",
              "warning": "<string>",
              "error": {
                "details": "<string>",
                "category": "STATS_ANNOTATION_ERROR_CATEGORY_UNSPECIFIED"
              }
            }
          ],
          "metricDetails": {
            "metricType": "METRIC_TYPE_UNSPECIFIED",
            "plannedEffectSize": {
              "value": "<string>"
            },
            "direction": "METRIC_DIRECTION_UNSPECIFIED",
            "hasRun": true
          },
          "srmResult": [
            {
              "status": {
                "status": "METRIC_RESULT_STATUS_UNSPECIFIED",
                "message": "<string>",
                "metricType": "METRIC_TYPE_UNSPECIFIED",
                "decisionPowered": {
                  "value": true
                },
                "decisionIsSignificant": {
                  "value": true
                },
                "validationIsSignificant": {
                  "value": true
                }
              },
              "isSignificant": true,
              "dimensions": [
                {}
              ],
              "segmentId": "<string>",
              "result": [
                {
                  "group": "<string>",
                  "observed": 123,
                  "expected": 123,
                  "isSignificant": true
                }
              ]
            }
          ]
        }
      ],
      "treatments": [
        {
          "id": "<string>",
          "recommendation": {
            "status": {
              "quality": "QUALITY_STATUS_UNSPECIFIED",
              "tanking": "TANKING_STATUS_UNSPECIFIED",
              "guardrail": "GUARDRAIL_STATUS_UNSPECIFIED",
              "success": "SUCCESS_STATUS_UNSPECIFIED"
            },
            "shipping": "SHIPPING_RECOMMENDATION_UNSPECIFIED"
          }
        }
      ],
      "labels": [
        {}
      ]
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflow
string
required
instance
string
required

Query Parameters

pageSize
object

The maximum number of items to return.

pageToken
string

The next_page_token value returned from a previous List request, if any.

Response

200 - application/json

OK

analysisResults
AnalysisResult · object[]

AnalysisResult: The list of analysis results.

nextPageToken
string

A token to retrieve next page of results.